Get Member by ID

Prev Next
Get
/v1/members/{memberId}

Read a specific member by ID.

Security
HTTP
Type basic

HTTP Basic Authentication using your WACM username and API key.

For detailed authentication instructions, see the Authentication Guide.

Path parameters
memberId
integerRequired

Member ID

Responses
200

Successfully retrieved member

{
  "success": "True",
  "data": {
    "id": "11223",
    "subAccountId": "54321",
    "firstName": "Jane",
    "lastName": "Smith",
    "username": "jsmith",
    "memberRole": "Admin",
    "email": "jane.smith@example.com",
    "status": "Active",
    "mfa": "True",
    "imageUrl": "",
    "creationDate": "2023-06-15T14:30:00Z",
    "address1": "456 Oak Ave",
    "address2": "",
    "country": "United States",
    "city": "New York",
    "stateName": "New York",
    "zip": "10001",
    "phone": "+1-555-987-6543",
    "isSsoUser": "False"
  }
}
Expand All
object
success
boolean
data
object (MemberResponse)
id
integer
subAccountId
integer
firstName
string
lastName
string
username
string
memberRole
string
email
string
status
string
mfa
boolean
imageUrl
string | null
creationDate
string (date-time)
address1
string | null
address2
string | null
country
string | null
city
string | null
stateName
string | null
zip
string | null
phone
string | null
isSsoUser
boolean